require "Wherigo"
ZonePoint = Wherigo.ZonePoint
Distance = Wherigo.Distance
Player = Wherigo.Player

-- #Author Directives Go Here# --
-- #End Author Directives# --

cartFrodosQuest = Wherigo.ZCartridge()

-- MessageBox Callback Functions Table used by the Builder --
cartFrodosQuest.MsgBoxCBFuncs = {}

-- Cartridge Info --
cartFrodosQuest.Id="b28f3bd4-ad7e-4dd4-93cf-f5c0369a8577"
cartFrodosQuest.Name="Frodo's Quest"
cartFrodosQuest.Description=[[]]
cartFrodosQuest.Visible=true
cartFrodosQuest.Activity="Geocache"
cartFrodosQuest.StartingLocationDescription=[[]]
cartFrodosQuest.StartingLocation = ZonePoint(38.6522,-122.604683,0)
cartFrodosQuest.Version=""
cartFrodosQuest.Company=""
cartFrodosQuest.Author=""
cartFrodosQuest.BuilderVersion="2.0.5129.5086"
cartFrodosQuest.CreateDate="1/7/2009 2:01:21 PM"
cartFrodosQuest.PublishDate="1/7/2009 9:32:25 PM"
cartFrodosQuest.UpdateDate="5/9/2009 9:31:10 AM"
cartFrodosQuest.LastPlayedDate="1/1/0001 12:00:00 AM"
cartFrodosQuest.TargetDevice="PocketPC"
cartFrodosQuest.TargetDeviceVersion="0"
cartFrodosQuest.StateId="1"
cartFrodosQuest.CountryId="2"
cartFrodosQuest.Complete=false
cartFrodosQuest.UseLogging=false

-- Zones --
zoneTheMinesofMoria = Wherigo.Zone(cartFrodosQuest)
zoneTheMinesofMoria.Id="f86ba435-36cf-498a-a4d5-4a0413a13c0e"
zoneTheMinesofMoria.Name="The Mines of Moria"
zoneTheMinesofMoria.Description=[[]]
zoneTheMinesofMoria.Visible=true
zoneTheMinesofMoria.DistanceRange = Distance(-1, "feet")
zoneTheMinesofMoria.ShowObjects="OnEnter"
zoneTheMinesofMoria.ProximityRange = Distance(200, "feet")
zoneTheMinesofMoria.AllowSetPositionTo=false
zoneTheMinesofMoria.Active=true
zoneTheMinesofMoria.Points = {
  ZonePoint(38.65226,-122.60476,0),
  ZonePoint(38.65226,-122.60461,0),
  ZonePoint(38.65214,-122.60461,0),
  ZonePoint(38.65214,-122.60476,0)
}
zoneTheMinesofMoria.OriginalPoint = ZonePoint(38.6522,-122.604683,0)
zoneTheMinesofMoria.DistanceRangeUOM = "Feet"
zoneTheMinesofMoria.ProximityRangeUOM = "Feet"
zoneTheMinesofMoria.OutOfRangeName = ""
zoneTheMinesofMoria.InRangeName = ""

zoneTreebeardZone = Wherigo.Zone(cartFrodosQuest)
zoneTreebeardZone.Id="99fe692d-4204-420a-8dca-2f728966289e"
zoneTreebeardZone.Name="Treebeard Zone"
zoneTreebeardZone.Description=[[]]
zoneTreebeardZone.Visible=true
zoneTreebeardZone.DistanceRange = Distance(-1, "feet")
zoneTreebeardZone.ShowObjects="OnEnter"
zoneTreebeardZone.ProximityRange = Distance(200, "feet")
zoneTreebeardZone.AllowSetPositionTo=false
zoneTreebeardZone.Active=true
zoneTreebeardZone.Points = {
  ZonePoint(38.64804,-122.57007,0),
  ZonePoint(38.64804,-122.56993,0),
  ZonePoint(38.64792,-122.56993,0),
  ZonePoint(38.64792,-122.57007,0)
}
zoneTreebeardZone.OriginalPoint = ZonePoint(38.647983,-122.57,0)
zoneTreebeardZone.DistanceRangeUOM = "Feet"
zoneTreebeardZone.ProximityRangeUOM = "Feet"
zoneTreebeardZone.OutOfRangeName = ""
zoneTreebeardZone.InRangeName = ""

-- Characters --
zcharacterGandalf = Wherigo.ZCharacter(cartFrodosQuest)
zcharacterGandalf.Id="115d249f-38a8-4c14-bc86-b8b15693c7fc"
zcharacterGandalf.Name="Gandalf"
zcharacterGandalf.Description=[[]]
zcharacterGandalf.Visible=true
zcharacterGandalf.Gender="Male"
zcharacterGandalf.Type="NPC"
zcharacterGandalf.ObjectLocation = Wherigo.INVALID_ZONEPOINT
zcharacterGandalf.Commands = {
  Talk = Wherigo.ZCommand{Text="Talk", CmdWith=false, Enabled=true, EmptyTargetListText="Nothing available"},
}
zcharacterGandalf.Commands.Talk.Custom = true
zcharacterGandalf.Commands.Talk.Id="cb787aca-09e4-4005-9745-7f28bd4d6dd6"
zcharacterGandalf.Commands.Talk.WorksWithAll = true

zcharacterTreebeard = Wherigo.ZCharacter(cartFrodosQuest)
zcharacterTreebeard.Id="7918768c-ef20-43ed-aeae-163b3a598c42"
zcharacterTreebeard.Name="Treebeard"
zcharacterTreebeard.Description=[[]]
zcharacterTreebeard.Visible=true
zcharacterTreebeard.Gender="Male"
zcharacterTreebeard.Type="NPC"
zcharacterTreebeard.ObjectLocation = Wherigo.INVALID_ZONEPOINT
zcharacterTreebeard.Commands = {
  Talk = Wherigo.ZCommand{Text="Talk", CmdWith=false, Enabled=true, EmptyTargetListText="Nothing available"},
}
zcharacterTreebeard.Commands.Talk.Custom = true
zcharacterTreebeard.Commands.Talk.Id="12752e71-2644-47e3-ac16-a337c8759346"
zcharacterTreebeard.Commands.Talk.WorksWithAll = true

-- Items --

-- Tasks --

-- Cartridge Variables --
-- Builder Variables (to be read by the builder only) --
buildervar = {}
-- ZTimers --

-- Inputs --

--
-- Events/Conditions/Actions --
--

-------------------------------------------------------------------------------
------Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------

function cartFrodosQuest:OnStart()
-- #GroupDescription=Movecharacters --
-- #Comment=Movecharacters Comment --
zcharacterTreebeard:MoveTo(zoneTreebeardZone)
zcharacterGandalf:MoveTo(zoneTheMinesofMoria)
end

function zcharacterGandalf:OnTalk()
-- #GroupDescription=Gandalftalk --
-- #Comment=Gandalftalk Comment --
Wherigo.MessageBox{Text=[[Frodo, seek out the help of Treebeard, he will help you find the Great Eye of Sauron.  Treebeard resides at N 38.9AB, W 34.C9D (A equals X minus 2, B equals X minus 4, C equals X minus 2, D equals X minus 1).  Enter The Mines of Moria below and look for something that I've hidden for you (X), that when viewed from a certain angle, will assist you in your quest.  Goog luck ringbearer.]],}
end

function zcharacterTreebeard:OnTalk()
-- #GroupDescription=Treebeardtalk --
-- #Comment=Treebeardtalk Comment --
cartFrodosQuest.Complete = true
Wherigo.MessageBox{Text=[[Frodo, my Ent friends tell me The Great Eye of Sauron can be found at N 38.A6B, W 34.C0D ((A equals X plus Y) minus 1, B equals X plus Y, C equals Y minus 2, D equals X minus Y).  Stand on or very near a white patch on a flat rock and look around for a secret message (Y) I've left for you.  Good luck Ringbearer.]],}
end
------End Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
------Builder Generated callbacks, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
--#LASTCALLBACKKEY=0#--
------End Builder Generated callbacks, Do not Edit, this will be overwritten------
-- #Author Functions Go Here# --
-- #End Author Functions# --
-- Nothing after this line --
return cartFrodosQuest
